> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thesearchx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommendation

> Recommendations based on your data



## OpenAPI

````yaml POST /{clientId}/datasource/{datasourceId}/recommendation
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.thesearchx.com
security:
  - bearerAuth: []
paths:
  /{clientId}/datasource/{datasourceId}/recommendation:
    post:
      description: Recommendations based on your data
      parameters:
        - name: clientId
          in: path
          description: You can find Client ID at your Dashboard
          required: true
          schema:
            type: string
        - name: datasourceId
          in: path
          description: You can find Datasource ID at your Dashboard
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                uid:
                  description: Value of datasource's `identifier`
                threshold:
                  description: Threshold score of results
                  type: number
                  format: float
                limit:
                  description: Limit of results
                  type: integer
      responses:
        '200':
          description: Recommendations response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SearchResult'
components:
  schemas:
    SearchResult:
      type: object
      properties:
        _score:
          description: Score of result
          type: number
          format: float
        ttmId:
          description: Tag to specify the type
          type: string
        ...other properties...:
          description: 'Other properties of your data '
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Here, Bearer Token is your **Client API Key** You can find at your
        [Client Page](https://thesearchx.com/app/client)

````